Skip to main content
GET
/
lists
/
{id}
Retrieve a specific list
curl --request GET \
  --url https://app.pipecorn.com/api/v2/lists/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://app.pipecorn.com/api/v2/lists/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://app.pipecorn.com/api/v2/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "Tech Companies 2024",
  "id": "8e1dcba0-f0bb-4071-99fc-f18ba6559ccc",
  "linkedin_list_id": 123456789,
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-02T00:00:00Z",
  "status": "completed"
}

Authorizations

X-API-KEY
string
header
required

Your API key

Path Parameters

id
string<uuid>
required

ID of the list to retrieve

Response

200 - application/json

A list object

name
string

The name of the list

Example:

"Tech Companies 2024"

id
string<uuid>

The id of the list

Example:

"8e1dcba0-f0bb-4071-99fc-f18ba6559ccc"

linkedin_list_id
integer<int64>

The LinkedIn ID of the list

Example:

123456789

created_at
string<date-time>

The creation date of the list

Example:

"2024-01-01T00:00:00Z"

updated_at
string<date-time>

The last modified date of the list

Example:

"2024-01-02T00:00:00Z"

status
enum<string>
default:pending

The current status of the list import process

Available options:
pending,
completed,
failed
Example:

"completed"